## org.apache.myfaces.custom.fieldset
Class FieldsetRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.htmlTag.HtmlTagRenderer
                  org.apache.myfaces.custom.fieldset.FieldsetRenderer

public class FieldsetRenderer
extends org.apache.myfaces.custom.htmlTag.HtmlTagRenderer

Version:
  $Revision: 290595 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  svieujot (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Constructor Summary
`FieldsetRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.custom.htmlTag.HtmlTagRenderer
`encodeEnd`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### FieldsetRenderer

    public FieldsetRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`